curl -X PATCH "https://api.contactship.ai/v1/tags/tag-a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "x-api-key: your-api-key" \
-H "Content-Type: application/json" \
-d '{"label": "Very Hot Lead", "color": "#FF0000"}'
const tagId = 'tag-a1b2c3d4-e5f6-7890-abcd-ef1234567890';
const response = await fetch(`https://api.contactship.ai/v1/tags/${tagId}`, {
method: 'PATCH',
headers: {
'x-api-key': 'your-api-key',
'Content-Type': 'application/json',
},
body: JSON.stringify({ label: 'Very Hot Lead', color: '#FF0000' }),
});
const updated = await response.json();
console.log(`Updated tag: ${updated.name}`);
import requests
tag_id = 'tag-a1b2c3d4-e5f6-7890-abcd-ef1234567890'
response = requests.patch(
f'https://api.contactship.ai/v1/tags/{tag_id}',
headers={'x-api-key': 'your-api-key'},
json={'label': 'Very Hot Lead', 'color': '#FF0000'},
)
print(response.json())
{
"statusCode": 200,
"data": {
"id": "tag-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "hot-lead",
"color": "#FF0000",
"label": "Very Hot Lead",
"organization_id": "org-f1e2d3c4-b5a6-7890-1234-567890abcdef",
"updated_at": "2026-04-06T14:00:00Z"
}
}
Etiquetas
Update Tag
Update an existing tag
PATCH
/
v1
/
tags
/
{tagId}
curl -X PATCH "https://api.contactship.ai/v1/tags/tag-a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "x-api-key: your-api-key" \
-H "Content-Type: application/json" \
-d '{"label": "Very Hot Lead", "color": "#FF0000"}'
const tagId = 'tag-a1b2c3d4-e5f6-7890-abcd-ef1234567890';
const response = await fetch(`https://api.contactship.ai/v1/tags/${tagId}`, {
method: 'PATCH',
headers: {
'x-api-key': 'your-api-key',
'Content-Type': 'application/json',
},
body: JSON.stringify({ label: 'Very Hot Lead', color: '#FF0000' }),
});
const updated = await response.json();
console.log(`Updated tag: ${updated.name}`);
import requests
tag_id = 'tag-a1b2c3d4-e5f6-7890-abcd-ef1234567890'
response = requests.patch(
f'https://api.contactship.ai/v1/tags/{tag_id}',
headers={'x-api-key': 'your-api-key'},
json={'label': 'Very Hot Lead', 'color': '#FF0000'},
)
print(response.json())
{
"statusCode": 200,
"data": {
"id": "tag-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "hot-lead",
"color": "#FF0000",
"label": "Very Hot Lead",
"organization_id": "org-f1e2d3c4-b5a6-7890-1234-567890abcdef",
"updated_at": "2026-04-06T14:00:00Z"
}
}
Updates the name, color, or label of an existing tag.
Headers
Path Parameters
Body
Response
The response is{ "statusCode": number, "data": object }. The fields below describe data.
Error Codes
400 Bad Request— Invalid fields401 Unauthorized— Invalid or missing API key404 Not Found— Tag not found500 Internal Server Error— Server-side error
Code Examples
curl -X PATCH "https://api.contactship.ai/v1/tags/tag-a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "x-api-key: your-api-key" \
-H "Content-Type: application/json" \
-d '{"label": "Very Hot Lead", "color": "#FF0000"}'
const tagId = 'tag-a1b2c3d4-e5f6-7890-abcd-ef1234567890';
const response = await fetch(`https://api.contactship.ai/v1/tags/${tagId}`, {
method: 'PATCH',
headers: {
'x-api-key': 'your-api-key',
'Content-Type': 'application/json',
},
body: JSON.stringify({ label: 'Very Hot Lead', color: '#FF0000' }),
});
const updated = await response.json();
console.log(`Updated tag: ${updated.name}`);
import requests
tag_id = 'tag-a1b2c3d4-e5f6-7890-abcd-ef1234567890'
response = requests.patch(
f'https://api.contactship.ai/v1/tags/{tag_id}',
headers={'x-api-key': 'your-api-key'},
json={'label': 'Very Hot Lead', 'color': '#FF0000'},
)
print(response.json())
{
"statusCode": 200,
"data": {
"id": "tag-a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "hot-lead",
"color": "#FF0000",
"label": "Very Hot Lead",
"organization_id": "org-f1e2d3c4-b5a6-7890-1234-567890abcdef",
"updated_at": "2026-04-06T14:00:00Z"
}
}
